diff -rN -u old-hsql-postgresql-1.7.3/Database/HSQL/PostgreSQL.hsc new-hsql-postgresql-1.7.3/Database/HSQL/PostgreSQL.hsc
--- old-hsql-postgresql-1.7.3/Database/HSQL/PostgreSQL.hsc	2009-07-23 14:10:46.000000000 +0200
+++ new-hsql-postgresql-1.7.3/Database/HSQL/PostgreSQL.hsc	2009-07-23 14:10:46.000000000 +0200
@@ -21,7 +21,7 @@
 import Data.Char
 import Foreign
 import Foreign.C
-import Control.OldException (throwDyn, catchDyn, dynExceptions, Exception(..))
+import Control.Exception (throwDyn, catchDyn, dynExceptions, Exception(..))
 import Control.Monad(when,unless,mplus)
 import Control.Concurrent.MVar
 import System.Time
diff -rN -u old-hsql-postgresql-1.7.3/Setup.lhs new-hsql-postgresql-1.7.3/Setup.lhs
--- old-hsql-postgresql-1.7.3/Setup.lhs	2009-07-23 14:10:46.000000000 +0200
+++ new-hsql-postgresql-1.7.3/Setup.lhs	2009-07-23 14:10:46.000000000 +0200
@@ -16,14 +16,17 @@
 import System.Process(runInteractiveProcess, waitForProcess)
 import System.IO(hClose, hGetContents, hPutStr, stderr)
 import Control.Monad(when)
-import Control.OldException(try)
+
+import System.Directory(doesFileExist)
 
 main = defaultMainWithHooks autoconfUserHooks{preConf= preConf
                                              ,postConf= postConf}
   where
     preConf ::  [String] -> ConfigFlags -> IO HookedBuildInfo
     preConf args flags = do
-      try (removeFile "PostgreSQL.buildinfo")
+      exists <- doesFileExist "PostgreSQL.buildinfo"
+      when exists $
+	      removeFile "PostgreSQL.buildinfo"
       return emptyHookedBuildInfo
     postConf :: [String] -> ConfigFlags -> PackageDescription -> LocalBuildInfo -> IO ()
     postConf args flags _ localbuildinfo = do
diff -rN -u old-hsql-postgresql-1.7.3/hsql-postgresql.cabal new-hsql-postgresql-1.7.3/hsql-postgresql.cabal
--- old-hsql-postgresql-1.7.3/hsql-postgresql.cabal	2009-07-23 14:10:46.000000000 +0200
+++ new-hsql-postgresql-1.7.3/hsql-postgresql.cabal	2009-07-23 14:10:46.000000000 +0200
@@ -7,8 +7,8 @@
 Category:	 Database
 Description: 	 PostgreSQL driver for HSQL.
 Exposed-modules: Database.HSQL.PostgreSQL
-Build-depends: 	 base >= 4.0.0.0, hsql, old-time
+Build-depends: 	 base < 4 && >=3, hsql, old-time
 Maintainer:	 nick.rudnick@googlemail.com
 Extensions:      ForeignFunctionInterface, CPP
 Build-Type:	 Custom
-Extra-libraries: pq
\ No newline at end of file
+Extra-libraries: pq

